package com.yihu.jw.entity.iot.dict;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * 系统字典表
 * @author yeshijie on 2018/1/16.
 */
@Entity
@Table(name = "iot_system_dict")
public class IotSystemDictDO extends UuidIdentityEntityWithOperator implements Serializable {

    @Column(name = "saas_id")
    private String saasId;//
    @Column(name = "dict_name")
    private String dictName;//所属字典
    @Column(name = "code")
    private String code;//字典项代码
    @Column(name = "value")
    private String value;//字典项值
    @Column(name = "py_code")
    private String pyCode;//拼音码
    @Column(name = "sort")
    private Long sort;//排序
    @Column(name = "del")
    private Integer del;//删除标志
    @Column(name = "parent_code")
    private String parentCode;
    @Column(name = "status")
    private Integer status;
    @Column(name = "time")
    private String time;
    @Transient
    private String parentName;//父类字典名称

    public String getSaasId() {
        return saasId;
    }

    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }

    public String getDictName() {
        return dictName;
    }

    public void setDictName(String dictName) {
        this.dictName = dictName;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getPyCode() {
        return pyCode;
    }

    public void setPyCode(String pyCode) {
        this.pyCode = pyCode;
    }

    public Long getSort() {
        return sort;
    }

    public void setSort(Long sort) {
        this.sort = sort;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    public String getParentCode() {
        return parentCode;
    }

    public void setParentCode(String parentCode) {
        this.parentCode = parentCode;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    @Transient
    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }
}
